<div class="container">
	<div class="row">
		<h3>Appointment Managament</h3>
	</div>

	<app-alert></app-alert>

	<div class="row">
		<h4>Operations</h4>
	</div>

	<div class="row">
		<div class="col-sm">

			<a class="btn btn-success btn-add-operation" (click)="addAppointment()"
				[attr.aria-expanded]="!isCollapsed" aria-controls="AddCollapse">Add</a>

		</div>
	</div>

	<div id="AddCollapse" [ngbCollapse]="isCollapsed">
		<div class="card">
			<div class="card-body">

			<form [formGroup]='createForm' (ngSubmit)="!edit_mode ? onSubmit() : onSubmitEdit()">

					<div class="container">

						<div class="row">
							<div class="col-sm-4">

								<input type="hidden" id="inputid" class="hidden_field" [formControl]="id" />

								<div class="form-label-group">
									<label for="title">Title</label>
									<input type="text" id="inputtitle" class="form-control" placeholder="title" required
										autofocus [formControl]="title"
										[ngClass]="{ 'is-invalid': submitted && f.title.errors }" />
									

									<div *ngIf="submitted && f.title.errors" class="invalid-feedback">
										<div *ngIf="f.title.errors.required">please enter a title</div>
									</div>

								</div>

							</div>

							<div class="col-sm-4">
								<div class="form-label-group">

									<label for="from_date">From</label>


									<div class="input-group">
										<input type="text" ngbDatepicker #d="ngbDatepicker" id="from_date"
											class="form-control" required autofocus [formControl]="from_date" />

										<div class="input-group-append">
											<button class="btn btn-outline calendar" (click)="d.toggle()"
												type="button">
												<i class="fa fa-calendar fa-2x"></i>
											</button>
										</div>

										<div *ngIf="submitted && f.from_date.errors" class="invalid-feedback">
											<div *ngIf="f.from_date.errors.required">please enter a valid date</div>
										</div>

									</div>

								</div>
							</div>


							<div class="col-sm-4">
								<div class="form-label-group">
									<label for="start_time">start</label>
									<div class="input-group">
										<ngb-timepicker id="start_time" 
										required [formControl]="start_time"></ngb-timepicker>
									

										<div *ngIf="submitted && f.start_time.errors" class="invalid-feedback">
											<div *ngIf="f.start_time.errors.required">please enter a valid time</div>
										</div>

									</div>
								</div>
							</div>


							
						</div>


						<div class="row">
							<div class="col-sm-4">
								<div class="form-label-group">

									<label for="assigned_stall">Stall</label>
									<select id="assigned_stall" [formControl]="assigned_stall" class="form-control"> 
										<option *ngFor="let stall of stalls" [ngValue]="stall.id">{{ stall.name }}</option>
									</select>
								</div>
							</div>


							<div class="col-sm-4">
								<div class="form-label-group">
									<label for="to_date">To</label>

									<div class="input-group">

										<input type="text" ngbDatepicker #c="ngbDatepicker" id="to_date"
											class="form-control" required autofocus [formControl]="to_date" />

										<div *ngIf="submitted && f.to_date.errors" class="invalid-feedback">
											<div *ngIf="f.to_date.errors.required">please enter a valid date</div>
										</div>

										<div class="input-group-append">
											<button class="btn btn-outline calendar" (click)="c.toggle()"
												type="button">
												<i class="fa fa-calendar fa-2x"></i>
											</button>
										</div>

									</div>

								</div>
							</div>


							<div class="col-sm-4">
								<div class="form-label-group">
									<label for="stop_time">end</label>
									<div class="input-group">
										<ngb-timepicker id="stop_time" 
										required [formControl]="stop_time"></ngb-timepicker>
									

										<div *ngIf="submitted && f.stop_time.errors" class="invalid-feedback">
											<div *ngIf="f.stop_time.errors.required">please enter a valid time</div>
										</div>

									</div>
								</div>
							</div>


						</div>
						
						<input *ngIf="!edit_mode; else Editbutton" type="submit" class="btn btn-success" value="Save" />

					</div>

				</form>


			</div>
		</div>
	</div>

<ng-template #Editbutton>
	<input type="submit" class="btn btn-warning" value="edit" />
</ng-template>


	<div class="row">

		<table class="table table-hover ">
			<thead>
				<tr>
					<th scope="col">#</th>
					<th scope="col">img</th>
					<th scope="col">id</th>
					<th scope="col">status</th>
					<th scope="col">title</th>
					<th scope="col">name</th>
					<th scope="col">description</th>

					<th scope="col">appointment</th>

					<th scope="col">start</th>
					<th scope="col">stop</th>
					
					<th scope="col">Edit</th>
					<th scope="col">Delete</th>
				</tr>
			</thead>
			<tbody *ngFor="let event of events; index as i">
				<tr>
					<td>{{ i + 1 }}</td>
					<td><img [src]="env.assetUrl + event.path + event.extension" alt="{{event.description}}"
							class="img-thumbnail"></td>
					<td>{{ event.id }}</td>
					<td>{{ checkStatus(event.start_time, event.stop_time)}} </td>
					<td>{{ event.title }}</td>
					<td>{{ event.name}} </td>
					<td>{{ event.description }}</td>
					<td>{{ event.appointment }}</td>
					<td>{{ event.start_date }} {{event.start_time}}</td>
					<td>{{ event.end_date }} {{event.stop_time}}</td>

					<td><a class="btn btn-warning" (click)="editAppointment(event)">edit</a></td>
					<td><a class="btn btn-danger" (click)="deleteAppointment(event)">delete</a></td>
				</tr>
			</tbody>
		</table>
	</div>
</div>